# Asterisk Project : Asterisk 13 Function_AGENT

Created by wikibot on Aug 08, 2014

# AGENT()

### Synopsis

Gets information about an Agent

### Description

### Syntax

    AGENT(AgentId:item)

##### Arguments

- `AgentId`
- `item` - The valid items to retrieve are:
  - `status` - (default) The status of the agent (LOGGEDIN | LOGGEDOUT)
  - `password` - Deprecated. The dialplan handles any agent authentication.
  - `name` - The name of the agent
  - `mohclass` - MusicOnHold class
  - `channel` - The name of the active channel for the Agent (AgentLogin)
  - `fullchannel` - The untruncated name of the active channel for the Agent (AgentLogin)

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538